package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description  
 * @Date 2021-06-29 
 */
@ApiModel
public class OutboundHandoverDTO implements Serializable {
	private static final long serialVersionUID =  8949325236958290910L;

	@ApiModelProperty(value = "合单号")
	private String billGroupId;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totUomQty;

	@ApiModelProperty(value = "总箱数")
	private BigDecimal totLclQty;

	@ApiModelProperty(value = "客户名称")
	private String shipperName;

	@ApiModelProperty(value = "货主名称")
	private String consignorName;

//	@ApiModelProperty(value = "承运商名称")
//	private String carrierName;

	private List<HandoverDetailDTO> detailList;


	public String getBillGroupId() {
		return billGroupId;
	}

	public void setBillGroupId(String billGroupId) {
		this.billGroupId = billGroupId;
	}

	public BigDecimal getTotUomQty() {
		return totUomQty;
	}

	public void setTotUomQty(BigDecimal totUomQty) {
		this.totUomQty = totUomQty;
	}

	public BigDecimal getTotLclQty() {
		return totLclQty;
	}

	public void setTotLclQty(BigDecimal totLclQty) {
		this.totLclQty = totLclQty;
	}

	public String getShipperName() {
		return shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getConsignorName() {
		return consignorName;
	}

	public void setConsignorName(String consignorName) {
		this.consignorName = consignorName;
	}

	public List<HandoverDetailDTO> getDetailList() {
		return detailList;
	}

	public void setDetailList(List<HandoverDetailDTO> detailList) {
		this.detailList = detailList;
	}
}
